# FileLines
<span class="source-link">[[Source]](src/files/file.md#L742)</span>

Iterate over the lines in a file.


```pony
class ref FileLines is
  Iterator[String val] ref
```

#### Implements

* [Iterator](builtin-Iterator)\[[String](builtin-String) val\] ref

---

## Constructors

### create
<span class="source-link">[[Source]](src/files/file.md#L750)</span>


```pony
new ref create(
  file: File ref)
: FileLines ref^
```
#### Parameters

*   file: [File](files-File) ref

#### Returns

* [FileLines](files-FileLines) ref^

---

## Public Functions

### has_next
<span class="source-link">[[Source]](src/files/file.md#L758)</span>


```pony
fun ref has_next()
: Bool val
```

#### Returns

* [Bool](builtin-Bool) val

---

### next
<span class="source-link">[[Source]](src/files/file.md#L761)</span>


```pony
fun ref next()
: String val
```

#### Returns

* [String](builtin-String) val

---

